Subject: Re: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2016 20:32:20 +0300

> From: Andy Moreton <[email-masked]>
> Date: Sat, 07 May 2016 17:43:12 +0100
> 
> On Sat 07 May 2016, Eli Zaretskii wrote:
> 
> > If you visit any C file on the master branch with Emacs 25.0.93, Emacs
> > asks an annoying question about unsafe local variables:
> >
> >
> >
> >
> > If you answer "y", Emacs signals an error:
> >
> >   File local-variables error: (void-function c-make-noise-macro-regexps)
> >
> > If I do the same with Emacs built from master, the problem doesn't
> > happen.  Did someone assume that the sources on master are only edited
> > by an Emacs produced from that master?  If so, that's bad assumption.
> 
> I assume that is due to c-make-noise-macro-regexps being a new feature
> on the master branch. The following patch fixes it for me:

Thanks.  This eliminates the error, but not the annoying question
about unsafe variables.